@font-face {
  font-family: 'Glyphicons Halflings';
  src: url('/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.eot');
  src: url('/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.eot?#iefix') format('embedded-opentype'), url('/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.woff2') format('woff2'), url('/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.woff') format('woff'), url('/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.ttf') format('truetype'), url('/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.svg#glyphicons_halflingsregular') format('svg');
}
@font-face {
  font-family: 'Roboto Regular';
  src: url('/customize/static/src/fonts/Roboto-Regular.ttf') format('truetype');
}
a {
    cursor: pointer;
}
a, a:hover, a:focus {
    color: #1156a4;
}
body.o_web_client {
    background-color: #fff;
    font-family: 'Roboto Regular';
}
li.o_mail_navbar_item {
    display: none !important;
}
.o_form_view .o_form_sheet_bg {
     background: #fff; 
     border-bottom: none; 
}
.ui-autocomplete .ui-menu-item > a {
    font-family: "Roboto Regular";
}
.ui-autocomplete .ui-menu-item.ui-state-focus {
    background-color: #d1d1d1;
}
.btn-primary:hover, .btn-primary, .btn-primary:active:hover, .btn-primary.active:hover, .open > .dropdown-toggle.btn-primary:hover, .btn-primary:active:focus, .btn-primary.active:focus, .open > .dropdown-toggle.btn-primary:focus, .btn-primary:active.focus, .btn-primary.active.focus, .open > .dropdown-toggle.btn-primary.focus {
    background-color: #1156a4;
    border-color: #1156a4;
}
.o_form_view .o_form_required.o_form_input, .o_form_view .o_form_required .o_form_input, .o_form_view .o_form_required.o_form_textarea, .o_form_view .o_form_required .o_form_textarea {
    background-color: #fff;
}
.o_web_client > .o_main .o_sub_menu .o_sub_menu_content .oe_secondary_menu_section,
.o_control_panel .breadcrumb > li > a {
    color: #1156a4;
}
.oe_view_nocontent > p {
    padding-left: 0;
}
.oe_application_menu_placeholder a[data-menu="4"],
.oe_application_menu_placeholder a[data-menu="5"] {
	/* TODO: uncomment lines below before deploy system */
	/*display:none !important;*/
}
.modal .modal-content .modal-footer {
    text-align: right;
}
.o_searchview .o_searchview_more {
	display: none !important;
}
th.o_column_sortable:after {
    font-family: FontAwesome;
    margin-left: 5px;
    content: "\f0dc";
}
body .navbar-inverse {
    background-color: #1156a4;
    border-color: #1156a4;
    height: 46px;
}
.o_web_client .navbar li > a {
	padding: 12px 8px;
}
body .navbar-inverse .navbar-nav > .open > a, .navbar-inverse .navbar-nav > .open > a:hover, .navbar-inverse .navbar-nav > .open > a:focus,
body .navbar-inverse .navbar-nav > li > a:hover, .navbar-inverse .navbar-nav > li > a:focus {
	background: none;
}
ul[data-style="custom_tmp_hidden"] {
	display: none !important;
}
span.SideBarToggleBtn {
    cursor: pointer;
    color: #fff;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: bold;
    padding: 10px 0px;
    display: inline-block;
    max-width: 202px;
    position: fixed;
    left: 10px;
}
body .navbar-collapse.collapse {
    max-width: 1170px;
    margin: 0 auto;
}
.o_web_client > .o_main .o_sub_menu > * {
	z-index: 99;
}
.o_web_client > .o_main .o_sub_menu > .o_sub_menu_content{
    position: relative;
    z-index: 100;
}
.o_web_client  .o_menu_sections {
    -webkit-transition: width 300ms ease-in-out;
    -moz-transition: width 300ms ease-in-out;
    -ms-transition: width 300ms ease-in-out;
    -o-transition: width 300ms ease-in-out;
    transition: width 300ms ease-in-out;
    -webkit-box-shadow: 2px 2px 4px 0px rgba(46,44,46,0.73);
	-moz-box-shadow: 2px 2px 4px 0px rgba(46,44,46,0.73);
	box-shadow: 2px 2px 4px 0px rgba(46,44,46,0.73);
    position: fixed;
    top: 0;
    left: 0;
    background-color: #fff;
    height: 100%;
    z-index: 99;
    width: 200px;
    padding: 12px 0 0;
}
.o_web_client .o_sub_menu_content .oe_secondary_menu {
	display: block !important;
    margin-bottom: 10px;
}
.o_main_navbar ul.o_menu_sections,
.o_web_client .o_main_navbar .v_mainmenu_bg {
    display: none;
}
.o_web_client.o_mobile_menu_opened .o_main_navbar ul.o_menu_sections {
    display: block;
}
.o_web_client.o_mobile_menu_opened .o_main_navbar .v_mainmenu_bg {
    display: block;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 98;
    background-color: rgba(1,1,1,0.3);
}
.o_web_client.o_mobile_menu_opened .o_main_navbar > ul.o_menu_sections > li {
    float:none;
}
.o_web_client.o_mobile_menu_opened .o_main_navbar > ul.o_menu_sections > li a {
    color: #000;
    font-weight: bold;
    background: #fff;
}
.o_web_client.o_mobile_menu_opened .o_main_navbar > ul.o_menu_sections li a.active,
.o_web_client.o_mobile_menu_opened .o_main_navbar > ul.o_menu_sections li > a:hover {
    background: #eee;
    color: #1156a4;
}
.v_logo_submenu {
    width: 96%;
    margin: 0 auto;
    margin-bottom: 10px;
    display: block;
}
.o_menu_sections .dropdown-menu {
    display: block;
    width: 100%;
    border: none;
    box-shadow: none;
    margin-top: 0;
    padding-top: 0;
}
@media (max-width: 767px) {
    .o_main_navbar > ul.o_menu_sections {
        width: 90% !important;
    }
}





.o_web_client > .o_main .o_control_panel,
.o_web_client > .o_main .o_view_manager_content > div.o_form_view,
.o_web_client > .o_main .table-responsive {
    max-width: 1170px;
    margin: 0 auto;
}
.o_web_client > .o_main .o_control_panel.o_breadcrumb_full {
    border-bottom: none;
}
.o_control_panel .o_cp_sidebar {
    display: none;
}
.o_web_client > .o_main .o_sub_menu .o_sub_menu_content .oe_secondary_submenu {
    line-height:normal;
}
body.o_web_client > .o_main .o_sub_menu .o_sub_menu_content .oe_secondary_menu_section {
    margin-left: 0;
    font-size: 18px;
    font-weight: normal;
}
body.o_web_client > .o_main .o_sub_menu .o_sub_menu_content .oe_secondary_menu_section a {
    padding: 6px 0 6px 16px;
    color: #000;
    font-size: 15px;
    display: block;
}
body.o_web_client > .o_main .o_sub_menu .o_sub_menu_content .oe_secondary_menu_section.active a,
body.o_web_client > .o_main .o_sub_menu .o_sub_menu_content .oe_secondary_menu_section a:hover {
    background: #eee;
    color: #1056a5;
}
.nav-pills > li.active > a, .nav-pills > li.active > a:hover, .nav-pills > li.active > a:focus {
    background: #1056a5;
}
.navbar-toggle {
    float: left;
    margin-top: 4px;
    border: none;
}
.navbar-inverse .navbar-toggle:hover, .navbar-inverse .navbar-toggle:focus {
    background: none;
}
.o_form_view ul.oe_form_status li.oe_active, .o_form_view ul.oe_form_status_clickable li.oe_active {
    background-color: #1156a4;
     background-image: -webkit-gradient(linear, left top, left bottom, from(#1156a4), to(#1156a4)); 
     background-image: -webkit-linear-gradient(top, #1156a4, #1156a4); 
    background-image: -moz-linear-gradient(top, #1156a4, #1156a4);
    background-image: -ms-linear-gradient(top, #1156a4, #1156a4);
    background-image: -o-linear-gradient(top, #1156a4, #1156a4);
     background-image: linear-gradient(to bottom, #1156a4, #1156a4); 
}

input[type="text"], input[type="password"], input[type="number"], textarea, select {
    border:none;
    border-bottom: 1px solid #ccc;
    border-radius: 0;
}
input[type="text"]:focus, input[type="password"]:focus, input[type="number"]:focus, textarea:focus, select:focus {
    border-color: #1156a4;
}
.o_form_view .o_group .o_td_label {
    border-right: none;
}
.o_form_view .o_group .o_td_label + td {
    padding: 2px 16px 2px 8px
}
.o_form_view .o_form_sheet_bg .o_form_sheet {
    min-height: 1px;
    min-width: 1px;
}
.o_form_view .o_group {
    margin: 0;
}
/*td.o_list_record_selector, th.o_list_record_selector {
    display: none;
}*/
.o_control_panel {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}
#oe_main_menu_navbar .oe_user_menu_placeholder .o_user_menu .oe_topbar_name{
    color: white;
    line-height: 22px;
    margin-left: 3px;
}
#oe_main_menu_navbar .oe_user_menu_placeholder .o_user_menu .caret{
    color: white;
    margin-top: 4px;
}
.o_control_panel .o_cp_left,
.o_control_panel .o_cp_right {
    width: auto;
}
.o_web_client > .o_main .o_main_content{
    background-color: white;
    display: block;
    width: 100%;
    height: 100%;
}
.o_web_client > .o_main .o_main_content .o_control_panel{
    background-color: white;
    padding: 10px 0;
    border-bottom: 0;
}
.o_web_client > .o_main .o_main_content .o_content{
    background-color: white;
    border-top: 1px solid #a8a8a8;
}
.o_control_panel .breadcrumb{
    background-color: white;
}
.o_web_client > .o_main .table-responsive {
    padding-bottom: 100px;
}
.o_list_view tfoot {
    background-color: #fff;
    border: none;
}
.o_web_client > .o_main .o_sub_menu > a {
    margin-bottom: 10px;
    text-align: center;
}
.o_list_view tbody > tr.o_group_header {
    background: #fff !important;
}
.modal-content .o_form_view {
    overflow: auto;
}
.o_form_view .o_form_textarea {
    max-width: 100%;
    white-space: inherit;
    overflow-wrap: break-word;
    overflow-y: auto;
}


@media (max-width: 480px) {
    .o_web_client.v_frontend > #oe_main_menu_navbar{
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 98;
    }
    .o_web_client.v_frontend > .o_main{
        margin-top: 46px;
    }
    .o_web_client.v_frontend > .o_main .o_main_content .o_content{
        /*overflow: initial;*/
    }
}
@page { size: auto;  margin: 0mm; }
.modal .modal-dialog .modal-content .modal-body {
    -webkit-overflow-scrolling: touch;
}
